#!/usr/bin/env python3
import os
import sys
import stat
import pathlib
from py_etb.etb import ETB_handler
import time

pipe_names = sys.argv[1]
kommapos = pipe_names.find(",",0,len(pipe_names))
pipe_path_actual_result = pipe_names[1:kommapos]
pipe_path_detail_result = pipe_names[kommapos + 1:len(pipe_names)-1]
etb_connection = ETB_handler(pipe_names)

detail_header = "[Line 1, int, blue] : [Line 2, int, green] :[Line 3, int, red] : [Line4, int, orange] \n"
etb_connection.send_detail_view(detail_header)
factor0 = 1.0
factor1 = 1.5
factor2 = 2.0
factor3 = 3.5

for i in range(0, 1000):

    val0 = i * factor0
    val1 = i * factor1
    val2 = i * factor2
    val3 = i * factor3

    etb_connection.send_detail_view(str(val0) + "\t" + str(val1) + "\t" + str(val2) + "\t" + str(val3) + "\n")

etb_connection.send_actual_result("Alles übertragen")
